Check data export status / download
GET
/api/v1/export/{export_id}
const url = 'https://api.ultimateteam.ai/api/v1/export/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/export/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'X-API-Key: <X-API-Key>'Returns the current status of a previously requested portable data export. When status is ‘ready’, a presigned download_url is included.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”export_id
required
Export Id
The export job identifier
string format: uuid
The export job identifier
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
ExportStatusResponse
Response body for GET /export/{export_id}.
Attributes: export_id: The export job identifier. status: Current status (‘processing’, ‘ready’, ‘expired’, ‘not_found’). download_url: Presigned download URL (populated when status=‘ready’). message: Human-readable description.
object
Examplegenerated
{ "download_url": "example", "export_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "message": "example", "status": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}